
Lookup Editor - Bug #2049

Lookups with spaces are allowed on Internet Explorer

09/06/2017 05:05 PM - Luke Murphey

Status: Rejected Start date: 09/06/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

History

#1 - 09/18/2017 03:44 AM - Luke Murphey

is_file_name_valid() in the Python code needs to be changed too

#2 - 10/21/2017 06:25 PM - Luke Murphey

- Status changed from New to Rejected

I'm finding that this works.

#3 - 12/13/2017 04:12 PM - Jeff H

- File 1. Create New Lookup with filename has spaces.JPG added

- File 2. Successfully Saved Filename with two Spaces.JPG added

- File 3. Successfully Saved Filename with one Space.JPG added

- File IE Version ScreenShot.JPG added

Noticing this still is not working for our organization. Firefox blocks, IE 11 allows.

Please review attachments as proof of our issue, please reach-out if you have any questions - I would be happy to help.

#4 - 12/14/2017 11:44 PM - Luke Murphey

I think I actually inadvertently fixed this in a different change. I am currently doing a significant re-write of the app for version 3.0 and in the midst of it

discovered there were two places where input validation was being done and I had only fixed one. My previous attempt at reproducing this only tested

one of the code paths.

I'll retest and confirm though.

#5 - 12/16/2017 07:07 AM - Luke Murphey

Tested tonight on Lookup Editor 3.0 and IE 11.726.15063.0. This appears to be working on the 3.0 with the latest fixes.

Files

1. Create New Lookup with filename has spaces.JPG 92.2 KB 12/13/2017 Jeff H

2. Successfully Saved Filename with two Spaces.JPG 27.7 KB 12/13/2017 Jeff H

3. Successfully Saved Filename with one Space.JPG 21.9 KB 12/13/2017 Jeff H

IE Version ScreenShot.JPG 34.1 KB 12/13/2017 Jeff H
